{
  "name": "@nhsbsa/hrt-ppc-notification-outbound-lambda",
  "version": "1.0.0",
  "engines": {
    "node": "18.x"
  },
  "outFiles": [
    "${workspaceFolder}/src/**"
  ],
  "description": "This lambda is based on creation of notification record, to get information from certificate and citizen API and then sending notifications via gov.uk notify and generate Letter Notification via BSA Xerox API.",
  "main": "dist/src/index.js",
  "scripts": {
    "preinstall": "node -e \"process.platform === 'darwin' && require('child_process').spawn('sh', ['./npm_scripts/install_pre_commit.sh'], { stdio: 'inherit'})\" && node -e \"process.platform === 'win32' && require('child_process').spawn('cmd.exe', ['/c','call npm_scripts/install_pre_commit.bat'], { stdio: 'inherit'})\"",
    "build": "rimraf ./dist && tsc",
    "start": "sam local invoke -t ./events/template.yaml -e ./events/event-single-record-success.json --env-vars ./events/env.json",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "validate": "npm run eslint && npm run audit && npm run test",
    "audit": "npm audit --omit=dev",
    "eslint": "eslint .",
    "auto-fix": "eslint --fix .",
    "postinstall": "npm run build"
  },
  "keywords": [],
  "author": "NHS Business services authority",
  "license": "Apache-2.0",
  "devDependencies": {
    "aws-lambda": "^1.0.7",
    "jest": "^29.7.0",
    "ts-jest": "^29.1.1",
    "ts-node-dev": "^2.0.0"
  },
  "dependencies": {
    "@nhsbsa/health-charge-exemption-npm-utils-rest": "^2.10.0",
    "@nhsbsa/hrt-ppc-npm-logging": "^1.4.0",
    "@types/aws-lambda": "^8.10.124",
    "@types/jest": "^29.5.5",
    "@types/ramda": "^0.29.6",
    "axios": "^1.5.1",
    "cross-env": "^7.0.3",
    "moment": "^2.29.4",
    "notifications-node-client": "^7.0.3",
    "prettier": "^3.0.3",
    "ramda": "^0.29.1",
    "typescript": "^5.2.2",
    "ts-node": "^10.9.1",
    "eslint": "^8.51.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-jest": "^27.4.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^5.0.1",
    "@typescript-eslint/eslint-plugin": "^6.7.5",
    "@typescript-eslint/parser": "^6.7.5"
  },
  "env": {
    "jest": true
  }
}
